Bug 177127 - [PATCH] mail/postfix: update to latest version and etc.
Summary: [PATCH] mail/postfix: update to latest version and etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-20 01:10 UTC by Yasuhiro Kimura
Modified: 2013-04-23 03:10 UTC (History)
0 users

See Also:


Attachments
patch-postfix (13.52 KB, text/plain)
2013-03-20 01:10 UTC, Yasuhiro Kimura
no flags Details
patch-postfix (13.71 KB, text/plain; charset=Shift_JIS)
2013-03-22 02:39 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2013-03-20 01:10:00 UTC
	* Update mail/postfix and mail/postfix2? to latest version.
	  ** Repo-copy mail/postfix to mail/postfix29, and update
	     the former to 2.10.0.
	  ** Update mail/postfix2[6789] to their latest versions.
	  ** Update CONFLICTS.
	  ** Since 2.6.x is no longer supported by upstream, mark
	     mail/postfix26 as DEPRECATED and set EXPIRATION_DATE.
	* Add lincense information.
	* Update "Created by" header of Makefile.
	* Pet portlint.
	  ** Remove shlib version of LIB_DEPENDS.
	  ** Fix WWW line of pkg-descr.

Fix: Attached patch should be applied with following commands:

	% cd /usr/ports
	% svn copy mail/postfix mail/postfix29
	% svn patch /somewhere/saved/dir/patch-postfix
Comment 1 Edwin Groothuis freebsd_committer 2013-03-20 01:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yasuhiro Kimura 2013-03-22 02:39:12 UTC
License information was not added to postfix/Makefile. So please commit
attached patch instead of original one.

Regards.
Comment 3 Sahil Tandon freebsd_committer 2013-03-31 03:19:24 UTC
State Changed
From-To: open->analyzed

Thanks for the patches; I will commit once the tree has unfrozen
Comment 4 dfilter service freebsd_committer 2013-04-23 02:49:27 UTC
Author: sahil
Date: Tue Apr 23 01:49:08 2013
New Revision: 316296
URL: http://svnweb.freebsd.org/changeset/ports/316296

Log:
  Repo-copy mail/postfix -> mail/postfix29, and update
  both ports to the latest version and make a note in
  UPDATING.  Also:
  
  - Adjust CONFLICTS
  - Add LICENSE information
  - Canonicalize 'Created by:' Makefile header
  - Remove shlib version from LIB_DEPENDS assignment
  - Correct LDAP_SASL logic
  - Replace tab with a single space after 'WWW:' in pkg-descr
  
  PR:		ports/177127
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Added:
  head/mail/postfix29/
     - copied from r315123, head/mail/postfix/
Modified:
  head/UPDATING
  head/mail/Makefile
  head/mail/postfix/Makefile
  head/mail/postfix/distinfo
  head/mail/postfix/pkg-descr
  head/mail/postfix29/Makefile
  head/mail/postfix29/distinfo
  head/mail/postfix29/pkg-descr

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Tue Apr 23 01:44:40 2013	(r316295)
+++ head/UPDATING	Tue Apr 23 01:49:08 2013	(r316296)
@@ -5,6 +5,14 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130423:
+  AFFECTS: users of mail/postfix
+  AUTHOR: sahil@FreeBSD.org
+
+  This is a significant update; so, please carefully review the
+  RELEASE_NOTES to identify which incompatible changes impact your
+  environment.
+
 20130408:
   AFFECTS: users of astro/libkgeomap, graphics/digikam-kde4, graphics/kipi-plugins-kde4
   AUTHOR: makc@FreeBSD.org

Modified: head/mail/Makefile
==============================================================================
--- head/mail/Makefile	Tue Apr 23 01:44:40 2013	(r316295)
+++ head/mail/Makefile	Tue Apr 23 01:49:08 2013	(r316296)
@@ -517,6 +517,7 @@
     SUBDIR += postfix26
     SUBDIR += postfix27
     SUBDIR += postfix28
+    SUBDIR += postfix29
     SUBDIR += postfixadmin
     SUBDIR += postgrey
     SUBDIR += postpals

Modified: head/mail/postfix/Makefile
==============================================================================
--- head/mail/postfix/Makefile	Tue Apr 23 01:44:40 2013	(r316295)
+++ head/mail/postfix/Makefile	Tue Apr 23 01:49:08 2013	(r316296)
@@ -1,8 +1,8 @@
-# Created by: torstenb
+# Created by: Torsten Blum <torstenb@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.9.5
+PORTVERSION=	2.10.0
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -16,8 +16,13 @@ DIST_SUBDIR=	${PORTNAME}
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
 
+LICENSE=	IPL10
+LICENSE_NAME=	IBM PUBLIC LICENSE VERSION 1.0
+LICENSE_FILE=	${WRKSRC}/LICENSE
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
+
 VDAVERSION=	2.9.5
-CONFLICTS=	courier-0.* postfix-1.* postfix-2.[0-8].* postfix-base-2.[0-8].* \
+CONFLICTS=	courier-0.* postfix-1.* postfix-2.[0-9].* postfix-base-2.[0-9].* \
 		postfix-current-2.* postfix-current-base-2.* sendmail-8.* \
 		sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
@@ -146,7 +151,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5.3:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -157,7 +162,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2.3:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -205,11 +210,9 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-PORT_OPTIONS+=SASL2
-.endif
-.if ${PORT_OPTIONS:MLSASL2}
-POSTFIX_CCARGS+=	-DUSE_LDAP_SASL
+LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
 .endif
+POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif
 .endif
 

Modified: head/mail/postfix/distinfo
==============================================================================
--- head/mail/postfix/distinfo	Tue Apr 23 01:44:40 2013	(r316295)
+++ head/mail/postfix/distinfo	Tue Apr 23 01:49:08 2013	(r316296)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.9.5.tar.gz) = 590381cc0705a6d3fd2279760e79aff625adab6000cb895cf5336ae6a11ee6e4
-SIZE (postfix/postfix-2.9.5.tar.gz) = 3761272
+SHA256 (postfix/postfix-2.10.0.tar.gz) = 4a42a6029af418cbd4a8668b4f8c7e1ea9975cbe9756df760649c0a941bfeb7b
+SIZE (postfix/postfix-2.10.0.tar.gz) = 3826655
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191
 SHA256 (postfix/postfix-vda-v11-2.9.5.patch) = df30379c456971a514ae5587531bb5cd8492921a6a27e6d23f5014a1434945aa

Modified: head/mail/postfix/pkg-descr
==============================================================================
--- head/mail/postfix/pkg-descr	Tue Apr 23 01:44:40 2013	(r316295)
+++ head/mail/postfix/pkg-descr	Tue Apr 23 01:49:08 2013	(r316296)
@@ -12,4 +12,4 @@ queue, external after queue), Berkeley D
 database, PostgreSQL database, Maildir and mailbox format, Virtual domains,
 VERP envelope return addresses and others.
 
-WWW:	http://www.postfix.org/
+WWW: http://www.postfix.org/

Modified: head/mail/postfix29/Makefile
==============================================================================
--- head/mail/postfix/Makefile	Sun Mar 24 14:23:56 2013	(r315123)
+++ head/mail/postfix29/Makefile	Tue Apr 23 01:49:08 2013	(r316296)
@@ -1,8 +1,8 @@
-# Created by: torstenb
+# Created by: Torsten Blum <torstenb@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.9.5
+PORTVERSION=	2.9.6
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -16,10 +16,18 @@ DIST_SUBDIR=	${PORTNAME}
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
 
+LICENSE=	IPL10
+LICENSE_NAME=	IBM PUBLIC LICENSE VERSION 1.0
+LICENSE_FILE=	${WRKSRC}/LICENSE
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
+
 VDAVERSION=	2.9.5
 CONFLICTS=	courier-0.* postfix-1.* postfix-2.[0-8].* postfix-base-2.[0-8].* \
-		postfix-current-2.* postfix-current-base-2.* sendmail-8.* \
-		sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
+		postfix-2.10.* postfix-base-2.10.* postfix-current-2.* \
+		postfix-current-base-2.* sendmail-8.* sendmail+*-8.* \
+		smail-3.* zmailer-2.* opensmtpd-[0-9]*
+
+NO_LATEST_LINK=	yes
 
 USERS=		postfix
 GROUPS=		mail maildrop postfix
@@ -146,7 +154,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5.3:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -157,7 +165,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2.3:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -205,11 +213,9 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-PORT_OPTIONS+=SASL2
-.endif
-.if ${PORT_OPTIONS:MLSASL2}
-POSTFIX_CCARGS+=	-DUSE_LDAP_SASL
+LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
 .endif
+POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif
 .endif
 

Modified: head/mail/postfix29/distinfo
==============================================================================
--- head/mail/postfix/distinfo	Sun Mar 24 14:23:56 2013	(r315123)
+++ head/mail/postfix29/distinfo	Tue Apr 23 01:49:08 2013	(r316296)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.9.5.tar.gz) = 590381cc0705a6d3fd2279760e79aff625adab6000cb895cf5336ae6a11ee6e4
-SIZE (postfix/postfix-2.9.5.tar.gz) = 3761272
+SHA256 (postfix/postfix-2.9.6.tar.gz) = 790542a238f64d2620c26e787c98b07fb6e75a7620ce0584a7932b089dc5367c
+SIZE (postfix/postfix-2.9.6.tar.gz) = 3767309
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191
 SHA256 (postfix/postfix-vda-v11-2.9.5.patch) = df30379c456971a514ae5587531bb5cd8492921a6a27e6d23f5014a1434945aa

Modified: head/mail/postfix29/pkg-descr
==============================================================================
--- head/mail/postfix/pkg-descr	Sun Mar 24 14:23:56 2013	(r315123)
+++ head/mail/postfix29/pkg-descr	Tue Apr 23 01:49:08 2013	(r316296)
@@ -12,4 +12,4 @@ queue, external after queue), Berkeley D
 database, PostgreSQL database, Maildir and mailbox format, Virtual domains,
 VERP envelope return addresses and others.
 
-WWW:	http://www.postfix.org/
+WWW: http://www.postfix.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2013-04-23 02:55:51 UTC
Author: sahil
Date: Tue Apr 23 01:55:43 2013
New Revision: 316298
URL: http://svnweb.freebsd.org/changeset/ports/316298

Log:
  - Update to 2.6.19, update CONFLICTS and mark
    DEPRECATED
  
  PR:		ports/177127
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Modified:
  head/mail/postfix26/Makefile
  head/mail/postfix26/distinfo

Modified: head/mail/postfix26/Makefile
==============================================================================
--- head/mail/postfix26/Makefile	Tue Apr 23 01:52:44 2013	(r316297)
+++ head/mail/postfix26/Makefile	Tue Apr 23 01:55:43 2013	(r316298)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.6.18
+PORTVERSION=	2.6.19
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -16,9 +16,14 @@ DIST_SUBDIR=	${PORTNAME}
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
 
+DEPRECATED=		No longer supported by upstream
+EXPIRATION_DATE=	2013-05-30
+
 VDAVERSION=	2.6.5
-CONFLICTS=	courier-0.* postfix-1.* postfix-2.[0-57-9].* postfix-current-2.* \
-		sendmail-8.* sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
+CONFLICTS=	courier-0.* postfix-1.* postfix-2.[0-57-9].* postfix-base-2.[0-57-9].* \
+		postfix-2.10.* postfix-base-2.10.* postfix-current-2.* \
+		postfix-current-base-2.* sendmail-8.* sendmail+*-8.* \
+		smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
 USERS=		postfix
 GROUPS=		mail maildrop postfix

Modified: head/mail/postfix26/distinfo
==============================================================================
--- head/mail/postfix26/distinfo	Tue Apr 23 01:52:44 2013	(r316297)
+++ head/mail/postfix26/distinfo	Tue Apr 23 01:55:43 2013	(r316298)
@@ -1,4 +1,4 @@
-SHA256 (postfix/postfix-2.6.18.tar.gz) = fdefebe46f6398f3feef5d6c58dfe6a26ccf283bb9361b6225c5cccd2a7aeb9e
-SIZE (postfix/postfix-2.6.18.tar.gz) = 3327921
+SHA256 (postfix/postfix-2.6.19.tar.gz) = 639e89de9bc6b7dbdfb3d06724f95b8065ed96af1dcded4a08ca7fcfc37a388a
+SIZE (postfix/postfix-2.6.19.tar.gz) = 3327966
 SHA256 (postfix/postfix-2.6.5-vda-ng.patch.gz) = e1c04e9d268dc84832334997e1f593af9877dbd5030708280427a0dc4452e797
 SIZE (postfix/postfix-2.6.5-vda-ng.patch.gz) = 12435
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2013-04-23 02:56:14 UTC
Author: sahil
Date: Tue Apr 23 01:56:06 2013
New Revision: 316299
URL: http://svnweb.freebsd.org/changeset/ports/316299

Log:
  - Update to 2.7.13 and adjust CONFLICTS
  - Add LICENSE information
  - Canonicalize 'Created by:' Makefile header
  - Remove shlib version from LIB_DEPENDS assignment
  - Replace tab with a single space after 'WWW:' in pkg-descr
  
  PR:		ports/177127
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Modified:
  head/mail/postfix27/Makefile
  head/mail/postfix27/distinfo
  head/mail/postfix27/pkg-descr

Modified: head/mail/postfix27/Makefile
==============================================================================
--- head/mail/postfix27/Makefile	Tue Apr 23 01:55:43 2013	(r316298)
+++ head/mail/postfix27/Makefile	Tue Apr 23 01:56:06 2013	(r316299)
@@ -1,8 +1,8 @@
-# Created by: torstenb
+# Created by: Torsten Blum <torstenb@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.7.12
+PORTVERSION=	2.7.13
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -16,10 +16,16 @@ DIST_SUBDIR=	${PORTNAME}
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
 
+LICENSE=	IPL10
+LICENSE_NAME=	IBM PUBLIC LICENSE VERSION 1.0
+LICENSE_FILE=	${WRKSRC}/LICENSE
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
+
 VDAVERSION=	2.7.8
 CONFLICTS=	courier-0.* postfix-1.* postfix-2.[0-689].* postfix-base-2.[0-689].* \
-		postfix-current-2.* postfix-current-base-2.* sendmail-8.* \
-		sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
+		postfix-2.10.* postfix-base-2.10.* postfix-current-2.* \
+		postfix-current-base-2.* sendmail-8.* sendmail+*-8.* \
+		smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
 USERS=		postfix
 GROUPS=		mail maildrop postfix
@@ -136,7 +142,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5.3:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -147,7 +153,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2.3:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.7.1-libspf2-1.2.x-4.patch.gz

Modified: head/mail/postfix27/distinfo
==============================================================================
--- head/mail/postfix27/distinfo	Tue Apr 23 01:55:43 2013	(r316298)
+++ head/mail/postfix27/distinfo	Tue Apr 23 01:56:06 2013	(r316299)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.7.12.tar.gz) = 529eb64c51bafae93ceea0e8d8cb210f74d5b13d89e877c9e79a496db35f41aa
-SIZE (postfix/postfix-2.7.12.tar.gz) = 3419280
+SHA256 (postfix/postfix-2.7.13.tar.gz) = 0d2cf4f34d8b0883f028155b6e9179e8dcc78db130ac1e464033a3b7b53a95ae
+SIZE (postfix/postfix-2.7.13.tar.gz) = 3419331
 SHA256 (postfix/postfix-2.7.1-libspf2-1.2.x-4.patch.gz) = b67efb1ffbcae91f13bf3ed90a5181d4b5bc86ebe15753eaf9db8b2278f5bb16
 SIZE (postfix/postfix-2.7.1-libspf2-1.2.x-4.patch.gz) = 8186
 SHA256 (postfix/postfix-vda-v10-2.7.8.patch) = 10738a30f2cb00cd05c593caf5b4b9d4ca44927432c1995a9db5c3557d0528db

Modified: head/mail/postfix27/pkg-descr
==============================================================================
--- head/mail/postfix27/pkg-descr	Tue Apr 23 01:55:43 2013	(r316298)
+++ head/mail/postfix27/pkg-descr	Tue Apr 23 01:56:06 2013	(r316299)
@@ -12,4 +12,4 @@ queue, external after queue), Berkeley D
 database, PostgreSQL database, Maildir and mailbox format, Virtual domains,
 VERP envelope return addresses and others.
 
-WWW:	http://www.postfix.org/
+WWW: http://www.postfix.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2013-04-23 02:56:33 UTC
Author: sahil
Date: Tue Apr 23 01:56:20 2013
New Revision: 316300
URL: http://svnweb.freebsd.org/changeset/ports/316300

Log:
  - Update to 2.8.14 and adjust CONFLICTS
  - Add LICENSE information
  - Canonicalize 'Created by:' Makefile header
  - Remove shlib version from LIB_DEPENDS assignment
  - Correct LDAP_SASL logic
  - Replace tab with a single space after 'WWW:' in pkg-descr
  
  PR:		ports/177127
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Modified:
  head/mail/postfix28/Makefile
  head/mail/postfix28/distinfo
  head/mail/postfix28/pkg-descr

Modified: head/mail/postfix28/Makefile
==============================================================================
--- head/mail/postfix28/Makefile	Tue Apr 23 01:56:06 2013	(r316299)
+++ head/mail/postfix28/Makefile	Tue Apr 23 01:56:20 2013	(r316300)
@@ -1,8 +1,8 @@
-# Created by: torstenb
+# Created by: Torsten Blum <torstenb@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.8.13
+PORTVERSION=	2.8.14
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -16,10 +16,16 @@ DIST_SUBDIR=	${PORTNAME}
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
 
+LICENSE=	IPL10
+LICENSE_NAME=	IBM PUBLIC LICENSE VERSION 1.0
+LICENSE_FILE=	${WRKSRC}/LICENSE
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
+
 VDAVERSION=	2.8.13
 CONFLICTS=	courier-0.* postfix-1.* postfix-2.[0-79].* postfix-base-2.[0-79].* \
-		postfix-current-2.* postfix-current-base-2.* sendmail-8.* \
-		sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
+		postfix-2.10.* postfix-base-2.10.* postfix-current-2.* \
+		postfix-current-base-2.* sendmail-8.* sendmail+*-8.* \
+		smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
 NO_LATEST_LINK=	yes
 
@@ -148,7 +154,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5.3:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -159,7 +165,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2.3:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -207,11 +213,9 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-PORT_OPTIONS+=SASL2
-.endif
-.if ${PORT_OPTIONS:MLSASL2}
-POSTFIX_CCARGS+=	-DUSE_LDAP_SASL
+LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
 .endif
+POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif
 .endif
 

Modified: head/mail/postfix28/distinfo
==============================================================================
--- head/mail/postfix28/distinfo	Tue Apr 23 01:56:06 2013	(r316299)
+++ head/mail/postfix28/distinfo	Tue Apr 23 01:56:20 2013	(r316300)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.8.13.tar.gz) = 66d278471b790eed663d6fe991403395e6340d45c92c8d0c445f7e9d77881502
-SIZE (postfix/postfix-2.8.13.tar.gz) = 3641782
+SHA256 (postfix/postfix-2.8.14.tar.gz) = 04e26548550d53c42c1bf35fe45943f9d7c589a3d4ef8af4c60f96a220473adf
+SIZE (postfix/postfix-2.8.14.tar.gz) = 3641913
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191
 SHA256 (postfix/postfix-vda-v10-2.8.13.patch) = 87166c1f52840d5caf6e24a1f9e07fd7a2f5dfc7b4c340a212e387dace509c42

Modified: head/mail/postfix28/pkg-descr
==============================================================================
--- head/mail/postfix28/pkg-descr	Tue Apr 23 01:56:06 2013	(r316299)
+++ head/mail/postfix28/pkg-descr	Tue Apr 23 01:56:20 2013	(r316300)
@@ -12,4 +12,4 @@ queue, external after queue), Berkeley D
 database, PostgreSQL database, Maildir and mailbox format, Virtual domains,
 VERP envelope return addresses and others.
 
-WWW:	http://www.postfix.org/
+WWW: http://www.postfix.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2013-04-23 02:56:49 UTC
Author: sahil
Date: Tue Apr 23 01:56:36 2013
New Revision: 316301
URL: http://svnweb.freebsd.org/changeset/ports/316301

Log:
  - Update to Postfix 2.11 Snapshot 20130405
  - Add LICENSE information
  - Canonicalize 'Created by:' Makefile header
  - Remove shlib version from LIB_DEPENDS assignment
  - Correct LDAP_SASL logic
  - Replace tab with a single space after 'WWW:' in pkg-descr
  
  PR:		ports/177127 (inspired by)
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Modified:
  head/mail/postfix-current/Makefile
  head/mail/postfix-current/distinfo
  head/mail/postfix-current/pkg-descr

Modified: head/mail/postfix-current/Makefile
==============================================================================
--- head/mail/postfix-current/Makefile	Tue Apr 23 01:56:20 2013	(r316300)
+++ head/mail/postfix-current/Makefile	Tue Apr 23 01:56:36 2013	(r316301)
@@ -1,8 +1,8 @@
-# Created by: torstenb
+# Created by: Torsten Blum <torstenb@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	postfix
-DISTVERSION=	2.10-20130113
+DISTVERSION=	2.11-20130405
 PORTEPOCH=	4
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/experimental/ \
@@ -17,6 +17,11 @@ DIST_SUBDIR=	${PORTNAME}
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
 
+LICENSE=	IPL10
+LICENSE_NAME=	IBM PUBLIC LICENSE VERSION 1.0
+LICENSE_FILE=	${WRKSRC}/LICENSE
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
+
 CONFLICTS=	courier-0.* postfix-1.* postfix-2.* postfix-base-2.* \
 		sendmail-8.* sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
@@ -144,7 +149,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5.3:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -155,7 +160,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2.3:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -203,11 +208,9 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-PORT_OPTIONS+=SASL2
-.endif
-.if ${PORT_OPTIONS:MSASL2}
-POSTFIX_CCARGS+=	-DUSE_LDAP_SASL
+LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
 .endif
+POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif
 .endif
 

Modified: head/mail/postfix-current/distinfo
==============================================================================
--- head/mail/postfix-current/distinfo	Tue Apr 23 01:56:20 2013	(r316300)
+++ head/mail/postfix-current/distinfo	Tue Apr 23 01:56:36 2013	(r316301)
@@ -1,4 +1,4 @@
-SHA256 (postfix/postfix-2.10-20130113.tar.gz) = 3fde4d4a0296c26a24b69d63fe376b4e01fd01d65ef36ab12c56ac57a450bca3
-SIZE (postfix/postfix-2.10-20130113.tar.gz) = 3823921
+SHA256 (postfix/postfix-2.11-20130405.tar.gz) = 81ad2d8c94484d4e1fe9afb6b85d9c08dfac1086d9c721d0b30050574126aa0b
+SIZE (postfix/postfix-2.11-20130405.tar.gz) = 3860386
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191

Modified: head/mail/postfix-current/pkg-descr
==============================================================================
--- head/mail/postfix-current/pkg-descr	Tue Apr 23 01:56:20 2013	(r316300)
+++ head/mail/postfix-current/pkg-descr	Tue Apr 23 01:56:36 2013	(r316301)
@@ -12,4 +12,4 @@ queue, external after queue), Berkeley D
 database, PostgreSQL database, Maildir and mailbox format, Virtual domains,
 VERP envelope return addresses and others.
 
-WWW:	http://www.postfix.org/
+WWW: http://www.postfix.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Sahil Tandon freebsd_committer 2013-04-23 03:10:09 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!